package com.wasu.cs.widget.videoview.ext;

import com.wasu.comp.videoview.IMediaControl;

/**
 * Created by zhangrm on 16-1-28.
 */
public interface IExMediaControl extends IMediaControl {
    void setVideoParam(String jsonParam);

    void pause();

    void resume();

    void start();

    void stop();

    void release();

    void seekTo(int msec);

    boolean isPlaying();

    boolean isAdPlaying();

    int getVideoWidth();

    int getVideoHeight();

    int getDuration();

    int getCurrentPosition();
}
